## com.sun.jersey.core.header
Class ContentDisposition

    java.lang.Object
      com.sun.jersey.core.header.ContentDisposition

Direct Known Subclasses:
  FormDataContentDisposition

    public class ContentDisposition

extends java.lang.Object

A content disposition header.

Author:
  Paul.Sandoz@Sun.Com, imran@smartitengineering.com

Nested Class Summary
`static class` | `ContentDisposition.ContentDispositionBuilder<T extends ContentDisposition.ContentDispositionBuilder<T,V>,V extends ContentDisposition>` Builder to build content disposition.

Constructor Summary
`` | `ContentDisposition(HttpHeaderReader reader)`
`` | `ContentDisposition(HttpHeaderReader reader, boolean fileNameFix)`
`` | `ContentDisposition(java.lang.String header)`
`` | `ContentDisposition(java.lang.String header, boolean fileNameFix)`
`protected` | `ContentDisposition(java.lang.String type, java.lang.String fileName, java.util.Date creationDate, java.util.Date modificationDate, java.util.Date readDate, long size)`

Method Summary
`protected void` | `addDateParameter(java.lang.StringBuilder sb, java.lang.String name, java.util.Date p)`
`protected void` | `addLongParameter(java.lang.StringBuilder sb, java.lang.String name, java.lang.Long p)`
`protected void` | `addStringParameter(java.lang.StringBuilder sb, java.lang.String name, java.lang.String p)`
`java.util.Date` | `getCreationDate()` Get the creation-date parameter.
`java.lang.String` | `getFileName()` Get the filename parameter.
`java.util.Date` | `getModificationDate()` Get the modification-date parameter.
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()` Get the parameters.
`java.util.Date` | `getReadDate()` Get the read-date parameter.
`long` | `getSize()` Get the size parameter.
`java.lang.String` | `getType()` Get the type.
`java.lang.String` | `toString()` Convert the disposition to a "Content-Disposition" header value.
`protected java.lang.StringBuilder` | `toStringBuffer()`
`static ContentDisposition.ContentDispositionBuilder` | `type(java.lang.String type)` Start building content disposition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentDisposition

    protected ContentDisposition(java.lang.String type,
                                 java.lang.String fileName,
                                 java.util.Date creationDate,
                                 java.util.Date modificationDate,
                                 java.util.Date readDate,
                                 long size)

### ContentDisposition

    public ContentDisposition(java.lang.String header)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

### ContentDisposition

    public ContentDisposition(java.lang.String header,
                              boolean fileNameFix)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

### ContentDisposition

    public ContentDisposition(HttpHeaderReader reader)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

### ContentDisposition

    public ContentDisposition(HttpHeaderReader reader,
                              boolean fileNameFix)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getType

    public java.lang.String getType()

  Get the type.

  Returns:
    the type

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

  Get the parameters.

  Returns:
    the parameters

### getFileName

    public java.lang.String getFileName()

  Get the filename parameter.

  Returns:
    the size

### getCreationDate

    public java.util.Date getCreationDate()

  Get the creation-date parameter.

  Returns:
    the creationDate

### getModificationDate

    public java.util.Date getModificationDate()

  Get the modification-date parameter.

  Returns:
    the modificationDate

### getReadDate

    public java.util.Date getReadDate()

  Get the read-date parameter.

  Returns:
    the readDate

### getSize

    public long getSize()

  Get the size parameter.

  Returns:
    the size

### toString

    public java.lang.String toString()

  Convert the disposition to a "Content-Disposition" header value.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the "Content-Disposition" value.

### toStringBuffer

    protected java.lang.StringBuilder toStringBuffer()

### addStringParameter

    protected void addStringParameter(java.lang.StringBuilder sb,
                                      java.lang.String name,
                                      java.lang.String p)

### addDateParameter

    protected void addDateParameter(java.lang.StringBuilder sb,
                                    java.lang.String name,
                                    java.util.Date p)

### addLongParameter

    protected void addLongParameter(java.lang.StringBuilder sb,
                                    java.lang.String name,
                                    java.lang.Long p)

### type

    public static ContentDisposition.ContentDispositionBuilder type(java.lang.String type)

  Start building content disposition.

  Parameters:
    `type` - the disposition typr.
  Returns:
    the content disposition builder.

Copyright © 2017 Oracle Corporation. All Rights Reserved.